<div class="dashboard-page flex flex-col flex-auto min-w-0">

    <div class="flex justify-between">
        <div class="text-3xl font-cairo font-bold tracking-tight leading-8 mb-10">Dashboard</div>
    </div>
    <div class="flex">
        <div class="summary w-1/6 inline-flex flex-col relative">
            <p class="font-medium text-lg mb-2">
                Summary
            </p>
            <div class="rounded-lg shadow bg-card mb-4 relative">
                <apx-chart
                    [series]="chartOptions.series"
                    [chart]="chartOptions.chart"
                    [plotOptions]="chartOptions.plotOptions"
                    [labels]="chartOptions.labels"
                    [fill]="chartOptions.fill"
                    [dataLabels]="chartOptions.dataLabels"
                    [stroke]="chartOptions.stroke"
                    [states]="chartOptions.states"
                ></apx-chart>
            </div>
            <div class="rounded-lg shadow bg-card mb-4 relative">
                <apx-chart
                    [series]="chartOptions2.series"
                    [chart]="chartOptions2.chart"
                    [plotOptions]="chartOptions2.plotOptions"
                    [labels]="chartOptions2.labels"
                    [fill]="chartOptions2.fill"
                    [dataLabels]="chartOptions2.dataLabels"
                    [stroke]="chartOptions2.stroke"
                    [states]="chartOptions2.states"
                ></apx-chart>
            </div>
            <div class="rounded-lg shadow bg-card relative">
                <apx-chart
                    [series]="chartOptions3.series"
                    [chart]="chartOptions3.chart"
                    [plotOptions]="chartOptions3.plotOptions"
                    [labels]="chartOptions3.labels"
                    [fill]="chartOptions3.fill"
                    [dataLabels]="chartOptions3.dataLabels"
                    [stroke]="chartOptions3.stroke"
                    [states]="chartOptions3.states"
                ></apx-chart>
            </div>
        </div>
        <div class="recent-activities w-3/6">
            <div class="flex justify-between mb-2 mx-8">
                <p class="font-medium text-lg ">
                    My Recent Activities
                </p>
                <a href="#" class="text-primary font-medium">View All</a>
            </div>

            <div class="overflow-auto srm-bg rounded-lg mx-8 mb-4 p-1">
                <table mat-table [dataSource]="dataSource" matSort class="expanded-rows-table font-helvetica text-gray-500">

                    <!-- Title Column -->
                    <ng-container matColumnDef="title">
                        <th mat-header-cell *matHeaderCellDef mat-sort-header style="max-width: 160px; min-width: 150px">
                            Orders
                        </th>
                        <td mat-cell *matCellDef="let row">
                            {{row.title}}
                        </td>
                    </ng-container>

                    <!-- Status Column -->
                    <ng-container matColumnDef="status">
                        <th mat-header-cell *matHeaderCellDef mat-sort-header style="max-width: 120px; min-width: 100px">
                            Status
                        </th>
                        <td mat-cell *matCellDef="let row">
                            <div class="items-center flex">
                                <mat-icon svgIcon="mat_solid:cancel" class="icon-size-5 mr-1 text-warn"></mat-icon>
                                {{row.status}}
                            </div>

                        </td>
                    </ng-container>

                    <!-- Value Column -->
                    <ng-container matColumnDef="value">
                        <th mat-header-cell *matHeaderCellDef mat-sort-header style="max-width: 120px; min-width: 100px">
                            Value
                        </th>
                        <td mat-cell *matCellDef="let row">
                            {{row.value}}
                        </td>
                    </ng-container>

                    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
                    <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>

                    <!-- Row shown when there is no matching data. -->
                    <tr class="mat-row" *matNoDataRow>
                        <td class="mat-cell" colspan="4">No data matching the filter "{{input.value}}"</td>
                    </tr>
                </table>
            </div>
            <div class="overflow-auto srm-bg rounded-lg mx-8 mb-4 p-1">
                <table mat-table [dataSource]="dataSource" matSort class="expanded-rows-table font-helvetica text-gray-500">

                    <!-- Title Column -->
                    <ng-container matColumnDef="title">
                        <th mat-header-cell *matHeaderCellDef mat-sort-header style="max-width: 160px; min-width: 150px">
                            Invoice
                        </th>
                        <td mat-cell *matCellDef="let row">
                            {{row.title}}
                        </td>
                    </ng-container>

                    <!-- Status Column -->
                    <ng-container matColumnDef="status">
                        <th mat-header-cell *matHeaderCellDef mat-sort-header style="max-width: 120px; min-width: 100px">
                            Status
                        </th>
                        <td mat-cell *matCellDef="let row">
                            <div class="items-center flex">
                                <mat-icon svgIcon="mat_solid:check_circle" class="icon-size-5 mr-1 text-green"></mat-icon>
                                {{row.status}}
                            </div>
                        </td>
                    </ng-container>

                    <!-- Value Column -->
                    <ng-container matColumnDef="value">
                        <th mat-header-cell *matHeaderCellDef mat-sort-header style="max-width: 120px; min-width: 100px">
                            Value
                        </th>
                        <td mat-cell *matCellDef="let row">
                            {{row.value}}
                        </td>
                    </ng-container>

                    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
                    <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>

                    <!-- Row shown when there is no matching data. -->
                    <tr class="mat-row" *matNoDataRow>
                        <td class="mat-cell" colspan="4">No data matching the filter "{{input.value}}"</td>
                    </tr>
                </table>
            </div>
            <div class="overflow-auto srm-bg rounded-lg mx-8 p-1">
                <table mat-table [dataSource]="dataSource" matSort class="expanded-rows-table font-helvetica text-gray-500">

                    <!-- Title Column -->
                    <ng-container matColumnDef="title">
                        <th mat-header-cell *matHeaderCellDef mat-sort-header style="max-width: 160px; min-width: 150px">
                            Invoice
                        </th>
                        <td mat-cell *matCellDef="let row">
                            {{row.title}}
                        </td>
                    </ng-container>

                    <!-- Status Column -->
                    <ng-container matColumnDef="status">
                        <th mat-header-cell *matHeaderCellDef mat-sort-header style="max-width: 120px; min-width: 100px">
                            Status
                        </th>
                        <td mat-cell *matCellDef="let row">
                            <div class="items-center flex">
                                <mat-icon svgIcon="mat_solid:check_circle" class="icon-size-5 mr-1 text-green"></mat-icon>
                                {{row.status}}
                            </div>
                        </td>
                    </ng-container>

                    <!-- Value Column -->
                    <ng-container matColumnDef="value">
                        <th mat-header-cell *matHeaderCellDef mat-sort-header style="max-width: 120px; min-width: 100px">
                            Value
                        </th>
                        <td mat-cell *matCellDef="let row">
                            {{row.value}}
                        </td>
                    </ng-container>

                    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
                    <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>

                    <!-- Row shown when there is no matching data. -->
                    <tr class="mat-row" *matNoDataRow>
                        <td class="mat-cell" colspan="4">No data matching the filter "{{input.value}}"</td>
                    </tr>
                </table>
            </div>
        </div>
        <div class="profile w-2/6">
            <p class="font-medium text-lg mb-2">
                Profile
            </p>
            <div class="flex w-full flex-col srm-bg p-4 rounded-lg">
                <div class="rounded-full">
                    <img class="w-24 h-24 rounded-full ring-4 ring-bg-card mb-4" src="assets/images/avatars/male-04.jpg" alt="User Image">
                </div>
                <div class="flex">
                    <mat-form-field class="w-1/2">
                        <mat-label>Company Name</mat-label>
                        <input matInput value="ABC Company" disabled/>
                    </mat-form-field>
                    <mat-form-field class="w-1/2 ml-1">
                        <mat-label>Website</mat-label>
                        <input matInput value="www.userweb.com" disabled/>
                    </mat-form-field>
                </div>
                <div>
                    <mat-form-field class="w-full">
                        <mat-label>Industry</mat-label>
                        <input matInput value="Telco" disabled/>
                    </mat-form-field>
                </div>
                <div>
                    <mat-form-field class="fuse-mat-textarea w-full">
                        <mat-label>About</mat-label>
                        <textarea class="m-0" matInput [rows]="2" cdkTextareaAutosize value="Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been
the industry's standard dummy" disabled></textarea>
                    </mat-form-field>
                </div>
                <div>
                    <mat-form-field class="w-full">
                        <mat-label>Established</mat-label>
                        <input matInput [matDatepicker]="picker1" disabled>
                        <mat-datepicker-toggle matSuffix [for]="picker1"></mat-datepicker-toggle>
                        <mat-datepicker #picker1></mat-datepicker>
                    </mat-form-field>
                </div>
                <div>
                    <mat-form-field class="w-full">
                        <mat-label>Country</mat-label>
                        <mat-select [value]="1" disabled>
                            <mat-option [value]="1">
                                Saudi Arabia
                            </mat-option>
                            <mat-option [value]="2">
                                Sri Lanka
                            </mat-option>
                        </mat-select>
                        <img matPrefix class="rounded-image" src="assets/images/flags/SA.svg"  alt="country"/>
                    </mat-form-field>
                </div>
                <div>
                    <mat-form-field class="w-full">
                        <mat-label>Currencies</mat-label>
                        <mat-select [value]="1" disabled>
                            <mat-option [value]="1">
                                Dirham
                            </mat-option>
                            <mat-option [value]="2">
                                Rupees
                            </mat-option>
                        </mat-select>
                    </mat-form-field>
                </div>


            </div>
        </div>
    </div>


</div>
